package javax.jws does not exist
 


You are trying to compile your first java webservice or you are trying to compile java webservice classes in a older system. Prior to jdk 1.6, the java webservices package (jsr181-api.jar) was not included and webservices were not supported.

From jdk 1.6, the java web services package and the related files were bundled with the JDK. The best solution therefore is to upgrade to the latest jdk (jdk 1.7). If even after installing the jdk 1.7, you still get this error, then check your JAVA_HOME environment variable and the PATH environment variable. Both these variables should be updated and pointed to your jdk 1.7 installation folder.

Once you do the above, try to recompile and test.

 
 
 
 
 
COPYRIGHT´┐Ż 2006 java-samples.com. ALL RIGHTS RESERVED.